org.apache.sysds.parser.dml

## Class DmlParser.CommandlinePositionExpressionContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.DataIdentifierContext
      - - org.apache.sysds.parser.dml.DmlParser.CommandlinePositionExpressionContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    DmlParser

      public static class DmlParser.CommandlinePositionExpressionContext
      extends DmlParser.DataIdentifierContext

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.parser.dml.DmlParser.DataIdentifierContext

      `dataInfo`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandlinePositionExpressionContext(DmlParser.DataIdentifierContext ctx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.antlr.v4.runtime.tree.TerminalNode` | `COMMANDLINE_POSITION_ID()`
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`

    - ### Methods inherited from class org.apache.sysds.parser.dml.DmlParser.DataIdentifierContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandlinePositionExpressionContext

          public CommandlinePositionExpressionContext(DmlParser.DataIdentifierContext ctx)

  - ### Method Detail

    - #### COMMANDLINE_POSITION_ID

          public org.antlr.v4.runtime.tree.TerminalNode COMMANDLINE_POSITION_ID()

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2020 The Apache Software Foundation. All rights reserved.